%define name	dfb++
%define Name	DFB++
%define version	1.2.0
%define rel	14

%define api		%(A=%version; echo ${A%%.*})
%define major		%(A=%version; echo ${A##*.})
%define libname		%mklibname %{name} %{api} %{major}
%define libnamedevel	%mklibname %{name} -d

Summary:	C++ binding for DirectFB providing a much easier usage
Name:		%name
Version:	%version
Release:	%mkrel %rel
License:	LGPLv2+
Group:		System/Libraries
URL:		http://directfb.org/
Source0:	http://directfb.org/downloads/Extras/%{Name}-%{version}.tar.gz
Patch0:		DFB++-1.2.0-directfb-api.patch
BuildRequires:	directfb-devel >= %{version}

%description
This is a C++ binding for DirectFB providing a much easier usage.

%package -n	%{libname}
Summary:	C++ binding for DirectFB providing a much easier usage
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This is a C++ binding for DirectFB providing a much easier usage.

This package contains the library needed to run programs dynamically
linked with DFB++.

%package -n 	%{libnamedevel}
Summary:	Headers for developing programs that will use DFB++
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}%{api}-devel = %{version}-%{release}
Requires:	pkgconfig
Obsoletes:	%{libname}-devel
Obsoletes:	%{mklibname -d dfb++ 1.0 0}
Obsoletes:	%{mklibname -d dfb++ 1.2}

%description -n %{libnamedevel}
This package contains the headers that programmers will need to develop
applications which will use DFB++.

%package	examples
Summary:	Example programs that use DFB++
Group:		Development/C++

%description	examples
Example programs dfbshow and dfbswitch that use DFB++.

Source code is included in %{_docdir}/%{name}-%{version}/examples.

%prep
%setup -q -n %{Name}-%{version}
%patch0 -p0

%build
%configure2_5x
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%multiarch_binaries %{buildroot}%{_bindir}/dfb++-config

make -C examples clean

%files -n %{libname}
%doc COPYING README AUTHORS ChangeLog
%{_libdir}/libdfb++-%{api}.so.%{major}*

%files -n %{libnamedevel}
%doc COPYING
%{_bindir}/dfb++-config
%multiarch %{multiarch_bindir}/dfb++-config
%{_includedir}/dfb++
%{_libdir}/*.so
%{_libdir}/pkgconfig/dfb++.pc

%files examples
%doc COPYING examples
%{_bindir}/dfbshow
%{_bindir}/dfbswitch


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.2.0-14.mga4
+ Revision: 532189
- Mageia 4 Mass Rebuild

* Sat Aug 17 2013 fwang <fwang> 1.2.0-13.mga4
+ Revision: 467230
- rebuild for new dfb

* Fri Jan 11 2013 umeabot <umeabot> 1.2.0-12.mga3
+ Revision: 348749
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 fwang <fwang> 1.2.0-11.mga3
+ Revision: 275242
- rebuild for new dfb

* Mon Jul 18 2011 fwang <fwang> 1.2.0-10.mga2
+ Revision: 125764
- rebuild for dfb15

* Sat Jan 15 2011 anssi <anssi> 1.2.0-9.mga1
+ Revision: 19780
- remove old rpm scripts
- imported package dfb++


* Fri Dec 17 2010 Funda Wang <fwang@mandriva.org> 1.2.0-8mdv2011.0
+ Revision: 622440
- rebuild for new directfb

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-7mdv2011.0
+ Revision: 610240
- rebuild

* Sun Nov 08 2009 Funda Wang <fwang@mandriva.org> 1.2.0-6mdv2010.1
+ Revision: 462910
- rebuild for new dfb

* Tue Jul 14 2009 Anssi Hannula <anssi@mandriva.org> 1.2.0-5mdv2010.0
+ Revision: 396049
- rebuild for missing source package

* Sun Oct 12 2008 Anssi Hannula <anssi@mandriva.org> 1.2.0-4mdv2009.1
+ Revision: 292787
- drop api number from devel name, it changing does not mean much for
  dfb++

* Mon Sep 08 2008 Funda Wang <fwang@mandriva.org> 1.2.0-3mdv2009.0
+ Revision: 282670
- obsoletes old devel name

  + Emmanuel Andry <eandry@mandriva.org>
    - apply devel policy

* Wed Aug 20 2008 Funda Wang <fwang@mandriva.org> 1.2.0-1mdv2009.0
+ Revision: 274108
- update license
- New version 1.2.0

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0.0-1mdv2009.0
+ Revision: 136362
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 19 2007 Anssi Hannula <anssi@mandriva.org> 1.0.0-1mdv2008.0
+ Revision: 28387
- 1.0.0


* Sat Mar 03 2007 Anssi Hannula <anssi@mandriva.org> 0.9.25-2mdv2007.0
+ Revision: 131660
- rebuild
- Import dfb++

* Thu May 25 2006 Anssi Hannula <anssi@mandriva.org> 0.9.25-1mdk
- New release 0.9.25
- rpmbuildupdate friendly

* Sun May 14 2006 Anssi Hannula <anssi@mandriva.org> 0.9.23-2mdk
- rebuild for new directfb

* Wed Dec 28 2005 Anssi Hannula <anssi@mandriva.org> 0.9.23-1mdk
- initial Mandriva release

